#
# spec file for package python-django-registration
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Summary:        A simple, generic user-registration application for Django
License:        BSD-3-Clause
Group:          Development/Libraries/Python
Name:           python-django-registration
Version:        1.0
Release:        7.5
Url:            http://code.google.com/p/django-registration/
Source:         https://pypi.python.org/packages/source/d/django-registration/django-registration-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  python
BuildRequires:  python-devel
Requires:       python-django
%py_requires
%if %{?suse_version: %{suse_version} > 1110} %{!?suse_version:1}
BuildArch:      noarch
%else
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%endif

%description
A simple, generic user-registration application for Django

This is just a simple, portable, generic user-registration application for Django projects. Workflow follows a simple pattern:
* A user signs up for a new account, which will be inactive by default.
* An email is sent to the address they used to register, containing an activation link.
* Once they click the activation link, the account becomes active and they can log in as normal.

%prep
%setup -q -n django-registration-%{version}

%build
python setup.py build

%install
python setup.py install --root=%{buildroot} --prefix=%{_prefix}

%files
%defattr(-, root, root, 0755)
%doc README LICENSE CHANGELOG docs/*
%{python_sitelib}/*

%changelog
* Sat Sep 28 2013 p.drouand@gmail.com
- Update to version 1.0
  + Changelog hasn't been updated for 1.0 version
- Use download url as source url
- Remove redundant %%clean setion and useless CFLAGS export
- Use %%{python_sitelib} instead of RECORDEDFILES filelist
* Mon Aug 27 2012 mcihar@suse.cz
- update to 0.8
  * Backend-based rewrite. See docs/upgrade.rst for details.
  * Compatibility through Django 1.4.
* Fri Nov 25 2011 cfarrell@suse.com
- license update: BSD-3-Clause
  SDPX format (http://www.spdx.org/licenses)
* Mon May 31 2010 toms@suse.de
- Fixed Group: Development/Libraries/Python to make it consistent
  with other Python packages
- Added copyright notice
* Fri Aug 21 2009 garloff@suse.de
- Build as noarch on openSUSE >= 11.2.
* Thu Aug 20 2009 garloff@suse.de
- update to version 0.7.
* Thu Aug 20 2009 garloff@suse.de
- django.core.validators does not exist any more. Fix.
* Fri Sep 12 2008 crrodriguez@suse.de
- update to version 0.6
